GDB (xrefs)

Macros | Functions | Variables
/tmp/gdb-8.1/gdb/arm-nbsd-tdep.c File Reference
`#include "defs.h"`
`#include "osabi.h"`
`#include "arch/arm.h"`
`#include "arm-tdep.h"`
`#include "solib-svr4.h"`

Go to the source code of this file.

## Macros
#define | ARM_NBSD_JB_PC 24
#define | ARM_NBSD_JB_ELEMENT_SIZE INT_REGISTER_SIZE

## Functions
static void | arm_netbsd_init_abi_common (struct gdbarch_info info, struct gdbarch *gdbarch)
static void | arm_netbsd_elf_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)
void | _initialize_arm_netbsd_tdep (void)

## Variables
static const gdb_byte | arm_nbsd_arm_le_breakpoint [] = {0x11, 0x00, 0x00, 0xe6}
static const gdb_byte | arm_nbsd_arm_be_breakpoint [] = {0xe6, 0x00, 0x00, 0x11}
static const gdb_byte | arm_nbsd_thumb_le_breakpoint [] = {0xfe, 0xde}
static const gdb_byte | arm_nbsd_thumb_be_breakpoint [] = {0xde, 0xfe}

## Macro Definition Documentation

## ◆ ARM_NBSD_JB_ELEMENT_SIZE

#define ARM_NBSD_JB_ELEMENT_SIZE INT_REGISTER_SIZE

Definition at line 29 of file arm-nbsd-tdep.c.

Referenced by arm_netbsd_init_abi_common().

## ◆ ARM_NBSD_JB_PC

#define ARM_NBSD_JB_PC 24

Definition at line 28 of file arm-nbsd-tdep.c.

Referenced by arm_netbsd_init_abi_common().

## Function Documentation

## ◆ _initialize_arm_netbsd_tdep()

void _initialize_arm_netbsd_tdep | ( | void |  | ) |

Definition at line 89 of file arm-nbsd-tdep.c.

References arm_netbsd_elf_init_abi(), GDB_OSABI_NETBSD, and gdbarch_register_osabi().

## ◆ arm_netbsd_elf_init_abi()

static void arm_netbsd_elf_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |
| static

Definition at line 74 of file arm-nbsd-tdep.c.

References ARM_FLOAT_AUTO, ARM_FLOAT_SOFT_VFP, arm_netbsd_init_abi_common(), gdbarch_tdep::fp_model, gdbarch_tdep(), set_solib_svr4_fetch_link_map_offsets(), and svr4_ilp32_fetch_link_map_offsets().

Referenced by _initialize_arm_netbsd_tdep().

## ◆ arm_netbsd_init_abi_common()

static void arm_netbsd_init_abi_common | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |
| static

Definition at line 39 of file arm-nbsd-tdep.c.

References _, gdbarch_tdep::arm_breakpoint, gdbarch_tdep::arm_breakpoint_size, arm_nbsd_arm_be_breakpoint, arm_nbsd_arm_le_breakpoint, ARM_NBSD_JB_ELEMENT_SIZE, ARM_NBSD_JB_PC, arm_nbsd_thumb_be_breakpoint, arm_nbsd_thumb_le_breakpoint, arm_software_single_step(), gdbarch_info::byte_order, gdbarch_tdep(), internal_error(), gdbarch_tdep::jb_elt_size, gdbarch_tdep::jb_pc, gdbarch_tdep::lowest_pc, set_gdbarch_software_single_step(), gdbarch_tdep::thumb_breakpoint, and gdbarch_tdep::thumb_breakpoint_size.

Referenced by arm_netbsd_elf_init_abi().

## Variable Documentation

## ◆ arm_nbsd_arm_be_breakpoint

const gdb_byte arm_nbsd_arm_be_breakpoint[] = {0xe6, 0x00, 0x00, 0x11}
| static

Definition at line 34 of file arm-nbsd-tdep.c.

Referenced by arm_netbsd_init_abi_common().

## ◆ arm_nbsd_arm_le_breakpoint

const gdb_byte arm_nbsd_arm_le_breakpoint[] = {0x11, 0x00, 0x00, 0xe6}
| static

Definition at line 33 of file arm-nbsd-tdep.c.

Referenced by arm_netbsd_init_abi_common().

## ◆ arm_nbsd_thumb_be_breakpoint

const gdb_byte arm_nbsd_thumb_be_breakpoint[] = {0xde, 0xfe}
| static

Definition at line 36 of file arm-nbsd-tdep.c.

Referenced by arm_netbsd_init_abi_common().

## ◆ arm_nbsd_thumb_le_breakpoint

const gdb_byte arm_nbsd_thumb_le_breakpoint[] = {0xfe, 0xde}
| static

Definition at line 35 of file arm-nbsd-tdep.c.

Referenced by arm_netbsd_init_abi_common().